Token payroll

Update Payroll Config

Overwrites a legacy Payroll row's name, dates, currency, entity and token type.

POSThttps://api.toku.com/stablecoin-payroll/update-payroll-config

Not available to API keys.

curl --request POST \
  --url 'https://api.toku.com/stablecoin-payroll/update-payroll-config' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "payrollId": "string",
  "payrollName": "string",
  "payrollStartDate": "2026-01-01T00:00:00Z",
  "payrollEndDate": "2026-01-01T00:00:00Z",
  "payrollPayDate": "2026-01-01T00:00:00Z",
  "payrollFiatCurrency": "string",
  "payrollEntity": "string",
  "tokenTypeID": "string"
}'
200 response
{
  "payroll": {
    "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "orgID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "name": "string",
    "entity": "string",
    "payPeriodStart": "string",
    "payPeriodEnd": "string",
    "payDate": "string",
    "currentStep": "CONFIGURATION",
    "state": "DRAFT",
    "type": "ON_CYCLE",
    "externalPayrollID": "string",
    "fiatCurrency": "string",
    "stableCoinCurrency": "string",
    "tokenTypeID": "string",
    "exchangeRate": "string",
    "isStablecoinPayrollComplete": true,
    "isFiatPayrollComplete": true,
    "isSyncedFromHRIS": true,
    "selectedEmployeeIds": [
      "string"
    ],
    "isCsvUploaded": true,
    "createdAt": "string",
    "updatedAt": "string",
    "createdByID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "lastModifiedByID": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
  }
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

payrollIdstringrequired

Allowed: 1 to 200 characters

payrollNamestringrequired

Allowed: 1 to 200 characters

payrollStartDatestring<date-time>required
payrollEndDatestring<date-time>required
payrollPayDatestring<date-time>required
payrollFiatCurrencystringrequired

Allowed: 1 to 20 characters

payrollEntitystringrequired

Allowed: 1 to 200 characters

tokenTypeIDstringrequired

Allowed: 1 to 200 characters

Response

200Successful response
payrollobjectrequired
Show child attributes
idstring<uuid>required
orgIDstring<uuid>required
namestringrequired
entitystringrequired
payPeriodStartstringrequired
payPeriodEndstringrequired
payDatestringrequired
currentStepstringrequired

Available options: CONFIGURATION, COMPENSATION_DETAILS, TAX_CALCULATION, APPROVAL_TRANSFER, SETTLED

statestringrequired

Available options: DRAFT, PENDING, OVERDUE, LOCKED, IN_PROGRESS, APPROVED, COMPLETED, CANCELLED

typestringrequired

Available options: ON_CYCLE, OFF_CYCLE, INVOICE_PAYMENT

externalPayrollIDstring | nullrequired
fiatCurrencystringrequired
stableCoinCurrencystring | nullrequired
tokenTypeIDstring | nullrequired
exchangeRatestring | nullrequired

Allowed: matches ^-?\d+(?:\.\d+)?$

isStablecoinPayrollCompletebooleanrequired
isFiatPayrollCompletebooleanrequired
isSyncedFromHRISbooleanrequired
selectedEmployeeIdsstring[]required
importedDataanyrequired
processedDataanyrequired
settlementDataanyrequired
isCsvUploadedboolean | nullrequired
createdAtstringrequired
updatedAtstringrequired
createdByIDstring<uuid>required
lastModifiedByIDstring<uuid>required
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits